> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /getapp/products

> Get GetApp (getapp.com) software product details by alias, category/alias path, or product URL

**Price:** 20 credits

**⚠️ Common errors:** 412: Product not found



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/getapp/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/getapp/products:
    post:
      tags:
        - /getapp
      summary: /getapp/products
      description: >-
        Get GetApp (getapp.com) software product details by alias,
        category/alias path, or product URL


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Product not found
      operationId: __api_getapp_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetappProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetappProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetappProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.|getapp\.com)[^\s]*|/?[A-Za-z0-9][A-Za-z0-9._/\-]*)$
      type: object
      required:
        - product
    GetappProduct:
      properties:
        '@type':
          type: string
          default: GetappProduct
        id:
          type: string
        seo_id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        overview:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        is_premium:
          anyOf:
            - type: boolean
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        ease_of_use_rating:
          anyOf:
            - type: number
            - type: 'null'
        customer_support_rating:
          anyOf:
            - type: number
            - type: 'null'
        value_for_money_rating:
          anyOf:
            - type: number
            - type: 'null'
        functionality_rating:
          anyOf:
            - type: number
            - type: 'null'
        recommendation_rating:
          anyOf:
            - type: number
            - type: 'null'
        positive_percentage:
          anyOf:
            - type: number
            - type: 'null'
        last_updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        has_free_trial:
          anyOf:
            - type: boolean
            - type: 'null'
        has_free_version:
          anyOf:
            - type: boolean
            - type: 'null'
        reviews_summary:
          anyOf:
            - type: string
            - type: 'null'
        feature_count:
          anyOf:
            - type: integer
            - type: 'null'
        integration_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_distribution:
          anyOf:
            - $ref: '#/components/schemas/GetappReviewDistribution'
            - type: 'null'
        review_topics:
          items:
            $ref: '#/components/schemas/GetappReviewTopic'
          type: array
          default: []
        key_takeaways:
          items:
            $ref: '#/components/schemas/GetappKeyTakeaway'
          type: array
          default: []
        pros:
          items:
            $ref: '#/components/schemas/GetappProsCon'
          type: array
          default: []
        cons:
          items:
            $ref: '#/components/schemas/GetappProsCon'
          type: array
          default: []
        pricing:
          anyOf:
            - $ref: '#/components/schemas/GetappPricing'
            - type: 'null'
        vendor:
          anyOf:
            - $ref: '#/components/schemas/GetappVendor'
            - type: 'null'
        features:
          items:
            $ref: '#/components/schemas/GetappFeature'
          type: array
          default: []
        integrations:
          items:
            $ref: '#/components/schemas/GetappIntegration'
          type: array
          default: []
        categories:
          items:
            $ref: '#/components/schemas/GetappCategoryRef'
          type: array
          default: []
        related_categories:
          items:
            $ref: '#/components/schemas/GetappCategoryRef'
          type: array
          default: []
        alternatives:
          items:
            $ref: '#/components/schemas/GetappProductRef'
          type: array
          default: []
        comparisons:
          items:
            $ref: '#/components/schemas/GetappProductRef'
          type: array
          default: []
        screenshots:
          items:
            type: string
          type: array
          default: []
        videos:
          items:
            type: string
          type: array
          default: []
        platforms:
          items:
            type: string
          type: array
          default: []
        typical_customers:
          items:
            type: string
          type: array
          default: []
        support_options:
          items:
            type: string
          type: array
          default: []
        training_options:
          items:
            type: string
          type: array
          default: []
        company_sizes:
          items:
            $ref: '#/components/schemas/GetappNamedCount'
          type: array
          default: []
        top_industries:
          items:
            $ref: '#/components/schemas/GetappNamedCount'
          type: array
          default: []
        use_cases:
          items:
            $ref: '#/components/schemas/GetappNamedCount'
          type: array
          default: []
        faq:
          items:
            $ref: '#/components/schemas/GetappFaq'
          type: array
          default: []
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GetappReviewDistribution:
      properties:
        '@type':
          type: string
          default: GetappReviewDistribution
        one:
          anyOf:
            - type: integer
            - type: 'null'
        two:
          anyOf:
            - type: integer
            - type: 'null'
        three:
          anyOf:
            - type: integer
            - type: 'null'
        four:
          anyOf:
            - type: integer
            - type: 'null'
        five:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    GetappReviewTopic:
      properties:
        '@type':
          type: string
          default: GetappReviewTopic
        name:
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
        sentiment:
          anyOf:
            - type: number
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GetappKeyTakeaway:
      properties:
        '@type':
          type: string
          default: GetappKeyTakeaway
        heading:
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - heading
    GetappProsCon:
      properties:
        '@type':
          type: string
          default: GetappProsCon
        name:
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GetappPricing:
      properties:
        '@type':
          type: string
          default: GetappPricing
        currency:
          anyOf:
            - type: string
            - type: 'null'
        currency_symbol:
          anyOf:
            - type: string
            - type: 'null'
        starting_amount:
          anyOf:
            - type: number
            - type: 'null'
        periodicity:
          anyOf:
            - type: string
            - type: 'null'
        pricing_model:
          anyOf:
            - type: string
            - type: 'null'
        no_credit_card_required:
          anyOf:
            - type: boolean
            - type: 'null'
        price_range:
          anyOf:
            - type: integer
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        plans:
          items:
            $ref: '#/components/schemas/GetappPricingPlan'
          type: array
          default: []
      type: object
    GetappVendor:
      properties:
        '@type':
          type: string
          default: GetappVendor
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state_province:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        year_founded:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    GetappFeature:
      properties:
        '@type':
          type: string
          default: GetappFeature
        name:
          type: string
        slug:
          anyOf:
            - type: string
            - type: 'null'
        definition:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        importance_ratio:
          anyOf:
            - type: number
            - type: 'null'
        critical_ratio:
          anyOf:
            - type: number
            - type: 'null'
        is_popular:
          type: boolean
          default: false
        is_enhanced:
          type: boolean
          default: false
        enhanced_definition:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GetappIntegration:
      properties:
        '@type':
          type: string
          default: GetappIntegration
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        importance:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GetappCategoryRef:
      properties:
        '@type':
          type: string
          default: GetappCategoryRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        listing_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    GetappProductRef:
      properties:
        '@type':
          type: string
          default: GetappProductRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        seo_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_premium:
          anyOf:
            - type: boolean
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        compare_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GetappNamedCount:
      properties:
        '@type':
          type: string
          default: GetappNamedCount
        name:
          type: string
        count:
          type: integer
      type: object
      required:
        - name
        - count
    GetappFaq:
      properties:
        '@type':
          type: string
          default: GetappFaq
        question:
          type: string
        answer:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - question
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    GetappPricingPlan:
      properties:
        '@type':
          type: string
          default: GetappPricingPlan
        name:
          type: string
        starting_price:
          anyOf:
            - type: number
            - type: 'null'
        payment_frequency_code:
          anyOf:
            - type: integer
            - type: 'null'
        price_type_code:
          anyOf:
            - type: integer
            - type: 'null'
        pricing_model_code:
          anyOf:
            - type: integer
            - type: 'null'
        attributes:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````